<app-buscador-carrito></app-buscador-carrito>
<main>
  <section class="categorias">
    <h1>Categorías</h1>
    <div class="contenedor-categorias">
      <app-tarjeta-categoria [imageLink]="'../../../../../assets/image/artesania.jpg'" [nombreTarjeta]="'ARTESANIAS'"
        class="tarjeta1" (click)="abrirListaCategoria('Artesanía')"></app-tarjeta-categoria>
      <app-tarjeta-categoria [imageLink]="'../../../../../assets/image/electrodomesticos.jpg'"
        [nombreTarjeta]="'ELECTRODOMÉSTICOS'" class="tarjeta2"
        (click)="abrirListaCategoria('Electrodomésticos')"></app-tarjeta-categoria>
      <app-tarjeta-categoria [imageLink]="'../../../../../assets/image/comidas.jpg'" [nombreTarjeta]="'COMIDAS'"
        class="tarjeta3" (click)="abrirListaCategoria('Alimentos')"></app-tarjeta-categoria>
    </div>
  </section>

  <section class="productos">
    <h1>Productos</h1>
    <app-carrusel [nombreSection]="'Los productos más vendidos'" [datos]="productosMasVendidos"
      (enviarDatos)="recibirDatosDelCarrusel($event)"></app-carrusel>
    <app-carrusel [nombreSection]="'Quizás te interese...'" [datos]="productosMasComprados" *ngIf="productosMasComprados.length > 0"
      (enviarDatos)="recibirDatosDelCarrusel($event)"></app-carrusel>
  </section>

  <section class="emprendimientos">
    <h1>Emprendimientos</h1>
    <app-carrusel [nombreSection]="'Emprendimientos más solicitados.'" [datos]="emprendimientosMasSolicitados"
      (enviarDatos)="recibirDatosDelCarrusel($event)"></app-carrusel>
    <app-carrusel [nombreSection]="'Tus caseras'" [datos]="misCaseras" *ngIf="misCaseras.length > 0"
      (enviarDatos)="recibirDatosDelCarrusel($event)"></app-carrusel>
  </section>
</main>

<app-tarjeta-informacion [datos]="{id: dialogId, show: mostrarDialogDetalle, isProduct: isProduct}"
  (cerrarDialogInformacion)="mostrarDialogDetalle = false" (datosCambiados)="recibirDatosDeProducto($event)"></app-tarjeta-informacion>
